'use strict';

exports.__esModule = true;
exports.flatten = undefined;

var _assign2 = require('lodash/assign');

var _assign3 = _interopRequireDefault(_assign2);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/*
 * This file is part of the nivo project.
 *
 * Copyright 2016-present, Raphaël Benitte.
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */
var recursiveFlattener = function recursiveFlattener(stack, node, identityProperty, parentId) {
    if (node.children) {
        node.children.forEach(function (child) {
            recursiveFlattener(stack, child, identityProperty, node[identityProperty]);
        });
    } else {
        stack.push((0, _assign3.default)({}, node, { parentId: parentId }));
    }
};

var flatten = exports.flatten = function flatten(root, identityProperty) {
    var nodes = [];

    recursiveFlattener(nodes, root, identityProperty);

    return { children: nodes };
};